Subject: Fax feature schema: image-file-structure

From: Graham Klyne <[email-masked]>
Date: Wed, 11 Aug 1999 12:15:08 +0100

All,

Over the past couple of months, exchanges on this list and at the Oslo
meeting have exposed some confusion over the application of the
image-file-structure tag.  These have also lead to a clearer understanding
on my part of what it is that the tag needs to constrain.

Following this discussion, I think the 'image-file-structure' tag values,
currently specified in RFC 2531, can be more usefully defined to reflect
specific file structure features.

The text below is offered as the basis for a possible replacement in
sections 3.7 and A.7 of RFC 2531.  I seek the views of this group as to
whether this change is useful and/or desirable.

#g
--

--begin--
The 'image-file-structure' feature tag defines how the coded
image data is wrapped and formatted.  The following options
are  defined here:

o 'TIFF' indicates image data is enclosed and tagged 
using TIFF structures described in Adobe's definition 
of TIFF [20].

o 'TIFF-limited' indicates image data is structured using 
TIFF, but with the limitations on the placement of 
Image File Descriptors (IFDs) within the file, which are
indicated  in section 4.4.6 of RFC 2301 [7].

o 'TIFF-minimal' indicates a TIFF image format that meets 
the IFD placement, byte ordering and bit ordering 
requirements of the "minimal black and white mode" 
described in section 3.5 of RFC 2301 [7], also known as 
TIFF-S.

o 'TIFF-MRC' uses a TIFF image structure [20] augmented 
with a sub-IFD structure, described for the "Mixed 
Raster Content mode" in section 8.1.2 of RFC 2301 [7], 
also known as TIFF-M.  This provides a file structure 
to contain composite images constructed using the MRC 
model described in T.44 [15] (see tag 'MRC-mode').

o 'TIFF-MRC-limited' is the same as 'TIFF-MRC', except 
that the IFD placement is constrained in the same was 
as 'TIFF-limited'.
--end--

------------
Graham Klyne
([email-masked])

---

From: Hiroshi Tamura <[email-masked]>
Date: Tue, 17 Aug 1999 18:05:54 +0900 (JST)

Hi, Klyne-san,

> whether this change is useful and/or desirable.

And, it is better. I agree with this replacement.

--
Hiroshi Tamura, Ricoh Company, LTD.
Mail: [email-masked]
Tel: +81-46-228-7459  Fax: +81-46-228-7500 (SUB/F-code 5727)